Repository 32bit  Forum
Repository 64bit  Wiki

Avant Window Navigator e dipendenze

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Re: Avant Window Navigator e dipendenze

Messaggioda brainvision » gio ago 05, 2010 16:47

no no intendevo agosto! che cavolo ci metto 1 mese per pacchettivarlo!! anche se, con tutte quelle dipendenze, mi ha tolto un po' di sonno! ora sto ricontrollando il tutto e tra un paio di giorni li metterò su, anche se ho come al solito problemi di connessione e spero di rispettare tutto! il problema maggiore è aggiornare asche, che mi va davvero lentissimo e s'impalla sempre!!,

comunque, già che ci siamo.. ho visto la tua lista delle dipendenze.. ma gnome-python-desktop e gnome-python-extras non le ha rifatte? L'ulòtima versione slackware risale alla 12.2, scusa..
Avatar utente
brainvision
Packager
Packager
 
Messaggi: 756
Iscritto il: ven dic 26, 2008 18:23
Località: bologna (bo)
Nome Cognome: Leonardo Totaro
Slackware: x86_64-current
Kernel: 3.7.1
Desktop: xfce 4.10

Re: Avant Window Navigator e dipendenze

Messaggioda Thraphyx » mer ago 11, 2010 23:46

Scusa per il ritardo, ma la connessione è quel che è (hsdpa in teoria, ma spesso è volentieri peggio di un 56k :banghead: )
brainvision ha scritto:comunque, già che ci siamo.. ho visto la tua lista delle dipendenze.. ma gnome-python-desktop e gnome-python-extras non le ha rifatte? L'ulòtima versione slackware risale alla 12.2, scusa..

Onestamente no.. Perchè le hai compilate? A me non sono servite. Gira tranquillamente così.
Piuttosto.. non hai compilato bazaar? Io ho caricato sia la versione x86 che x64, perchè senza di esso non so per quale motivo il gestore delle impostazioni non parte.
Avatar utente
Thraphyx
Linux 2.4
Linux 2.4
 
Messaggi: 212
Iscritto il: ven ago 28, 2009 21:43
Slackware: 14.1 multilib
Kernel: 3.10.17
Desktop: KDE 4.11.5

Re: Avant Window Navigator e dipendenze

Messaggioda brainvision » ven ago 13, 2010 9:08

certo che ho compilatp bazar, ma si chiama bzr: ho visto che tutti fanno così, quindi!! i miei pacchetti li ho già caricati la settimana scorsa, evidentemente loris ha da fare in questo periodo!!

comunque, non so che distro hai tu, forse hai già installato mezzo gnome, ma quelle che ho indicato servono eccome!!

P.S.: ricorda di togliere bazar dal 32 bit!!
Avatar utente
brainvision
Packager
Packager
 
Messaggi: 756
Iscritto il: ven dic 26, 2008 18:23
Località: bologna (bo)
Nome Cognome: Leonardo Totaro
Slackware: x86_64-current
Kernel: 3.7.1
Desktop: xfce 4.10

Re: Avant Window Navigator e dipendenze

Messaggioda alphamanitine » sab ago 14, 2010 23:20

Ovvio che per chi ha già GNOME molte dipendenze sono già soddisfatte...Alla fine del lavoro potreste <<se vi va>> derivarne magari una guida...per il WIKI...
Avatar utente
alphamanitine
Linux 2.0
Linux 2.0
 
Messaggi: 164
Iscritto il: mar feb 15, 2005 0:00
Località: Prato
Slackware: 14

Re: Avant Window Navigator e dipendenze

Messaggioda Thraphyx » mar ago 17, 2010 15:12

Uhm, guarda io ho compilato tutto su una slack pulita ovviamente. E il tutto funziona anche su una slack pulita.
Di preciso, gnome-python-desktop e gnome-python-extras chi li ha richiesti? A me nessuno..
Comunque si, adesso tolgo bazaar.
Appena posso uppo tutti quelli a 64bit sul repo.

PS.
E ora sono ufficialmente uno di voi! :D
Avatar utente
Thraphyx
Linux 2.4
Linux 2.4
 
Messaggi: 212
Iscritto il: ven ago 28, 2009 21:43
Slackware: 14.1 multilib
Kernel: 3.10.17
Desktop: KDE 4.11.5

Re: Avant Window Navigator e dipendenze

Messaggioda Thraphyx » mer ago 18, 2010 13:58

Allora, riguardo gnome-python-extra e gnome-python-desktop, con le relative dipendenze di mezzo gnomo, mi sono ricordato perchè a me non sono servite.

Quando ho visto che richiedevano un botto di dipendeze di gnome, ho pensato, visto che gnome non c'è di default su slackware, di compilare le awn-extras col flag --without-gnome, in modo da escludere le applet che necessitano di gnome.
Alla fine, servono solo per l'applet del menu e non ricordo quale altra.

Quindi il mio awn-extras funziona ugualmente bene, ma manca di un paio di applet strettamente legate a gnome.
Magari potrei ricompilare tutte le dipendenze e ricompilare il pacchetto, ma attualmente non ho la mia macchina a 64bit, quindi se ne parlerebbe comunque a settembre.

Che dici, lo uppo lo stesso indicando il "problema"?

PS. ho visto su asche, ma non hai indicato bazaar, pyxdg, gobjet-introspection, gir-repository e vala come dipendenze (alcune sono solo per la compilazione, ma non le hai messe neanche lì)?
Avatar utente
Thraphyx
Linux 2.4
Linux 2.4
 
Messaggi: 212
Iscritto il: ven ago 28, 2009 21:43
Slackware: 14.1 multilib
Kernel: 3.10.17
Desktop: KDE 4.11.5

Re: Avant Window Navigator e dipendenze

Messaggioda sunreal » sab set 04, 2010 7:46

Ciao, dopo aver installato avant-window-navigator e le varie dipendenze, mi trovo questo errore:

(avant-window-navigator:3402): GConf-CRITICAL **: gconf_value_get_list: assertion `value != NULL' failed

** ERROR **: No panels to create!
** Please check that the gconf-schema is installed.
** You might also try to run `killall gconfd-2`.
aborting...
Abortito
sapete per caso se c'è una cura? Grazie
sunreal
Master
Master
 
Messaggi: 1549
Iscritto il: sab apr 09, 2005 23:00
Località: P.P.P.

Re: Avant Window Navigator e dipendenze

Messaggioda brainvision » mar set 07, 2010 10:53

una cura????
beh, non sono un medico, però.. sembra che sia GConf a dare problemi, immagino sia installato, vero? Ricorda comunque cdi installare non solo le dipendenze, ma anche le dipendenze delle dipendenze.. bnel senso che GConf ha come dipendenza anche orbit2, ad esempio.. devi installare anche queste!

Ed inoltre, quali sono le dipendenze che hai installato? Rispondimi mentre io nel frattempo vedo un attimino di fare un elenco delle dipendenze stesse (scusami ma nello slack-required non sono elencate tutte, devo aggiornare il pacchetto per comprendere anche queste dipendenze nelle info.. ammesso che tu stia usando la versione a 32bit, che ho pacchettizzato io, mentre la 64bit è a cura di Thraphyx)

OK? Spero di essere stato sufficientemente chiaro! Se nel frattempo hai risolto, facci sapere cos'era il problema.. va bene? spero di leggere aggiornamenti al riguardo molto presto.. e scusami se ho tardato un bel po' nel risponderti, ma sono incasinatissimo in questo periodo, causa ennesimo trasferimento!! :D :D

ciau ciau!!
Avatar utente
brainvision
Packager
Packager
 
Messaggi: 756
Iscritto il: ven dic 26, 2008 18:23
Località: bologna (bo)
Nome Cognome: Leonardo Totaro
Slackware: x86_64-current
Kernel: 3.7.1
Desktop: xfce 4.10

Re: Avant Window Navigator e dipendenze

Messaggioda Ansa89 » mar set 07, 2010 11:09

sunreal ha scritto:Ciao, dopo aver installato avant-window-navigator e le varie dipendenze, mi trovo questo errore:

(avant-window-navigator:3402): GConf-CRITICAL **: gconf_value_get_list: assertion `value != NULL' failed

** ERROR **: No panels to create!
** Please check that the gconf-schema is installed.
** You might also try to run `killall gconfd-2`.
aborting...
Abortito
sapete per caso se c'è una cura? Grazie

Il problema è già conosciuto: https://bbs.archlinux.org/viewtopic.php?pid=776110#p776110.
Purtroppo anche con questo work-around awn continua a non funzionare (almeno a me).
Avatar utente
Ansa89
Iper Master
Iper Master
 
Messaggi: 2619
Iscritto il: mer ago 29, 2007 16:57
Località: Modena
Nome Cognome: Stefano Ansaloni
Slackware: 13.1
Kernel: 3.15.5-ck1
Desktop: XFCE 4.6.1

Re: Avant Window Navigator e dipendenze

Messaggioda gigiobagiano » mer set 08, 2010 17:09

Lo slackbuild va integrato con il codice di quello presente su SBo relativo al gconf schemas. Ho fatto il pacchetto oggi con quello slackbuild ( modificato perchè alcune opzioni inserite non sono più presenti ) e funziona benissimo su kde4 ;)
Ma a tutti da quel problema con gconf? Chi ha fatto il pacchetto non ha riscontrato il problema?
Aggiungo che il pacchetto da slapt-get non installa le dipendenze, almeno a me.
Avatar utente
gigiobagiano
Linux 2.6
Linux 2.6
 
Messaggi: 501
Iscritto il: dom mar 11, 2007 12:58
Slackware: 11 - 13.1
Kernel: 2.6.35.6_tuxonice
Desktop: Openbox

Re: Avant Window Navigator e dipendenze

Messaggioda brainvision » mer set 08, 2010 18:34

gigiobagiano ha scritto:Lo slackbuild va integrato con il codice di quello presente su SBo relativo al gconf schemas. Ho fatto il pacchetto oggi con quello slackbuild ( modificato perchè alcune opzioni inserite non sono più presenti ) e funziona benissimo su kde4 ;)
Ma a tutti da quel problema con gconf? Chi ha fatto il pacchetto non ha riscontrato il problema?[/quo.te]
Assolutamente no, ovviamente. Il problema qui riferito non è stato mai segnalato da me. Credo forse possa dipendere dall'ordine in cui vengono installati i pacchetti, ma francamente ci vorrebbe un minimo di studio della faccenda, studio che però richiederebbe del tempo che in questo periodo - almeno io - assolutamente non ho
gigiobagiano ha scritto:Aggiungo che il pacchetto da slapt-get non installa le dipendenze, almeno a me.

Onestamente non installo pacchetti con slapt-get, ma immagino il "problema" dipenda dalla mancata citazione di tutte le dipendenze nello slack-required, come dicevo più sù..

Ma comunque, visto che non è stato chiarito.. stiamo parlando della versione a 32bit??
Avatar utente
brainvision
Packager
Packager
 
Messaggi: 756
Iscritto il: ven dic 26, 2008 18:23
Località: bologna (bo)
Nome Cognome: Leonardo Totaro
Slackware: x86_64-current
Kernel: 3.7.1
Desktop: xfce 4.10

Re: Avant Window Navigator e dipendenze

Messaggioda gigiobagiano » mer set 08, 2010 19:00

Scusa non ho specificato, architettura x86_64, purtroppo non ho la possibilità di vedere se il problema è uguale per la x86 e non ho neanche controllato se lo slackbuild utilizzato è lo stesso... :oops:
Avatar utente
gigiobagiano
Linux 2.6
Linux 2.6
 
Messaggi: 501
Iscritto il: dom mar 11, 2007 12:58
Slackware: 11 - 13.1
Kernel: 2.6.35.6_tuxonice
Desktop: Openbox

Re: Avant Window Navigator e dipendenze

Messaggioda Ansa89 » gio set 09, 2010 8:38

Io stavo parlando della versione 32 bit.
Quasi quasi apro un report in pkgreport :-k .
Avatar utente
Ansa89
Iper Master
Iper Master
 
Messaggi: 2619
Iscritto il: mer ago 29, 2007 16:57
Località: Modena
Nome Cognome: Stefano Ansaloni
Slackware: 13.1
Kernel: 3.15.5-ck1
Desktop: XFCE 4.6.1

Re: Avant Window Navigator e dipendenze

Messaggioda gigiobagiano » gio set 09, 2010 8:58

Stavo anche provando qualche applet, molte danno problemi questo è un esempio ( file browser launcher ):
Codice: Seleziona tutto
    applet = App(awn.uid, awn.panel_id)                                                                     
  File "/usr/share/avant-window-navigator/applets/file-browser-launcher/file-browser-launcher.py", line 73, in __init__                                                                                                   
    self.icons[24]['stock_folder'] = self.theme.load_icon('stock_folder', 24, 0)                             
glib.GError: Icon 'stock_folder' not present in theme                                                       
** (avant-window-navigator:3926): DEBUG: Spawned awn-applet[3935] for "file-browser-launcher.desktop", UID: 1284018509, XID: 54528584                                                                                     
Traceback (most recent call last):                                                                           
  File "/usr/share/avant-window-navigator/applets/file-browser-launcher/file-browser-launcher.py", line 1194, in <module>                                                                                                 
    applet = App(awn.uid, awn.panel_id)                                                                     
  File "/usr/share/avant-window-navigator/applets/file-browser-launcher/file-browser-launcher.py", line 73, in __init__                                                                                                   
    self.icons[24]['stock_folder'] = self.theme.load_icon('stock_folder', 24, 0)                             
glib.GError: Icon 'stock_folder' not present in theme                                                       


Non trova un'icona o qualcosa del genere e capita anche per le preferenze:
Codice: Seleziona tutto
(awn-applet:3927): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed         
Could not locate the following icon: preferences-desktop-theme


Inoltre qualcuno sa come si chiama l'applet per ottenere gli stack?

edit: ho provato quasi tutte le applet e, a parte taskbar/launcher, non ne funziona una... A questo punto credo mi manchi seriamente qualcosa, o forse viene cercata nel posto sbagliato, o ancora non sa dove andare a prendere determinate informazioni (tipo icone) perchè sono su kde (questo è molto probabile) .
Avatar utente
gigiobagiano
Linux 2.6
Linux 2.6
 
Messaggi: 501
Iscritto il: dom mar 11, 2007 12:58
Slackware: 11 - 13.1
Kernel: 2.6.35.6_tuxonice
Desktop: Openbox

Re: Avant Window Navigator e dipendenze

Messaggioda Thraphyx » gio set 09, 2010 15:38

Allora, rieccomi :)

Per quanto riguarda le applet mancanti, hai perfettamente ragione, e ti spiego il perchè. Contrariamente alla versione 32bit, quella a 64bit compilata da me di awn-extras manca del supporto a molte librerie di gnome che fanno funzionare alcune applet. È una cosa che risolverò appena avrò di nuovo il mio pc a 64bit, perchè devo ricompilare anche molte librerie per i 64bit prima. Quindi, prego pazientare ancora qualche giorno :D

gigiobagiano ha scritto:Lo slackbuild va integrato con il codice di quello presente su SBo relativo al gconf schemas. Ho fatto il pacchetto oggi con quello slackbuild ( modificato perchè alcune opzioni inserite non sono più presenti ) e funziona benissimo su kde4 ;)
Ma a tutti da quel problema con gconf? Chi ha fatto il pacchetto non ha riscontrato il problema?
Aggiungo che il pacchetto da slapt-get non installa le dipendenze, almeno a me.

Scusa che intendi? Se ti riferisci al caricamento degli schemas di gconf, c'è nel mio pacchetto di awn. Ovviamente, devi installare PRIMA gconf e orbit, e poi il resto.

Per finire confermo la mancanza di alcune dipendenze nello slack-required, sia a 32 che a 64 bit. Bisogna aggiungerle a mano. Per la cronaca sono bzr e pyxdg (per ora le ho segnati nella pagina web del repo).

PS. adesso rimuovo anche i link dal primo post per il download, visto che è tutto sul repo
Avatar utente
Thraphyx
Linux 2.4
Linux 2.4
 
Messaggi: 212
Iscritto il: ven ago 28, 2009 21:43
Slackware: 14.1 multilib
Kernel: 3.10.17
Desktop: KDE 4.11.5

PrecedenteProssimo

Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 0 ospiti

cron